<?php

	class AKB_SUBMITCOMMENT_PANEL extends AKB_PANEL
	{
		/**
		* SetPanelSettings
		* This function is a chance to set any last minute global variables for
		* the template to use
		*
		* @return void
		*/
		function SetPanelSettings()	{
			if (AKB_AUTH::IsLoggedIn()) {
				if (($_SESSION['user']->firstname != "") && ($_SESSION['user']->lastname != "")) {
					$name = $_SESSION['user']->firstname." ".$_SESSION['user']->lastname;
				} else {
					$name = $_SESSION['user']->username;
				}
				
				$GLOBALS['name'] = $name;
				$GLOBALS['email'] = $_SESSION['user']->email;
			}
		}

	}
?>
